Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class NameImpl

    java.lang.Object
      org.apache.axis.message.NameImpl

All Implemented Interfaces:
  javax.xml.soap.Name

public class NameImpl
extends Object
implements javax.xml.soap.Name

A representation of an XML name. This interface provides methods for getting the local and namespace-qualified names and also for getting the prefix associated with the namespace for the name. It is also possible to get the URI of the namespace. The following is an example of a namespace declaration in an element. <wombat:GetLastTradePrice xmlns:wombat="http://www.wombat.org/trader"> The following shows what the methods in the Name interface will return. getQualifiedName will return "prefix:LocalName" = "wombat:GetLastTradePrice" getURI will return "http://www.wombat.org/trader" getLocalName will return "GetLastTracePrice" getPrefix will return "wombat" XML namespaces are used to disambiguate SOAP identifiers from application-specific identifiers. Name objects are created using the method SOAPEnvelope.createName, which has two versions. One method creates Name objects with a local name, a namespace prefix, and a namespace URI. The second creates Name objects with just a local name. The following line of code, in which se is a SOAPEnvelope object, creates a new Name object with all three. Name name = se.createName("GetLastTradePrice", "wombat", "http://www.wombat.org/trader"); The following line of code gives an example of how a Name object can be used. The variable element is a SOAPElement object. This code creates a new SOAPElement object with the given name and adds it to element. element.addChildElement(name);

Since:
  01-June-2004
Author:
  Thomas.Diesler (thomas.diesler@jboss.org)

Constructor Summary
`NameImpl(String local)`
`NameImpl(String local, String prefix, String uri)`

Method Summary
`boolean` | `equals(Object obj)` Equality compares localPart and namespaceURI.
`String` | `getLocalName()` Gets the local name part of the XML name that this Name object represents.
`String` | `getPrefix()` Returns the prefix that was specified when this Name object was initialized.
`String` | `getQualifiedName()` Gets the namespace-qualified name of the XML name that this Name object represents.
`String` | `getURI()` Returns the URI of the namespace for the XML name that this Name object represents.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameImpl

    public NameImpl(String local)

### NameImpl

    public NameImpl(String local,
                    String prefix,
                    String uri)

Method Detail

### getLocalName

    public String getLocalName()

  Gets the local name part of the XML name that this Name object represents.

  Specified by:
    `getLocalName` in interface `javax.xml.soap.Name`
  Returns:
    a string giving the local name

### getPrefix

    public String getPrefix()

  Returns the prefix that was specified when this Name object was initialized. This prefix is associated with the namespace for the XML name that this Name object represents.

  Specified by:
    `getPrefix` in interface `javax.xml.soap.Name`
  Returns:
    the prefix as a string

### getQualifiedName

    public String getQualifiedName()

  Gets the namespace-qualified name of the XML name that this Name object represents.

  Specified by:
    `getQualifiedName` in interface `javax.xml.soap.Name`
  Returns:
    the namespace-qualified name as a string

### getURI

    public String getURI()

  Returns the URI of the namespace for the XML name that this Name object represents.

  Specified by:
    `getURI` in interface `javax.xml.soap.Name`
  Returns:
    the URI as a string

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

  Equality compares localPart and namespaceURI. The prefix is not relevant for equality.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.